# MT-EDUCATION-MOBILE 美腾-智学

## 项目须知
* 接口配置在`.env.development` 和 `.env.production`
* 路由配置在 `/src/config` 
* 项目插件配置在对应配置文件，详见 [项目中的配置文件介绍](项目中的配置文件介绍.md)

## 开发者须知
* `/src/api` 文件夹为相应的接口地址
* 组件选项的顺序

  ```vue
  export default {
    name: '',
    mixins: [],
    components: {},
    props: {},
    data() {},
    computed: {},
    watch: {},
    created() {},
    mounted() {},
    destroyed() {},
    methods: {}
  }
  ```
  
* `localStorage` 和 `sessionStorage` 使用 `Vue-ls` 

  ```vue
  // Global
  Vue.ls.set('name', '王旭')
  Vue.ls.get('name')
  // Context
  this.$ls.set('name', '王旭')
  this.$ls.get('name')
  ```
  
* 待补充。

## 项目初始化
```
npm install
```

### 开发时
```
npm run serve
```

### 运行时
```
npm run build
```

### 代码校验
```
npm run lint
```
