export default {
  // name: '$util',
  // install: {
    /**
     * @description
     * @param {Function} fn 处理函数
     * @param {Number} delay 延时时间(ms)
     */
  Debounce (fn, delay) {
    let timeout
    return function () {
      clearTimeout(timeout)
      let args = arguments
      let context = this
      timeout = setTimeout(() => {
        fn.apply(context, args)
      }, delay)
    }
  },
    // 数组去重
  deduplication (array, key) {
    let hash = {}
    array = array.reduce((preVal, curVal) => {
      if (hash[curVal[key]]) {
      } else {
        hash[curVal[key]] = true
        preVal.push(curVal)
      }
      return preVal
    }, [])
    return array
  }

  // }
}
